From: Tom de Vries <tdevries@suse.de>
To: dwz@sourceware.org, jakub@redhat.com
Subject: [committed] Add version.sh, help.sh and illegal-option.sh
Date: Tue, 01 Jan 2019 00:00:00 -0000 [thread overview]
Message-ID: <20190331212643.GA5119@delia> (raw)
Hi,
Add a few more test-cases, testing options -v and -?, and the behaviour for
illegal options.
Committed to trunk.
Thanks,
- Tom
Add version.sh, help.sh and illegal-option.sh
2019-03-31 Tom de Vries <tdevries@suse.de>
* testsuite/dwz.tests/help.sh: New test.
* testsuite/dwz.tests/illegal-option.sh: New test.
* testsuite/dwz.tests/version.sh: New test.
---
testsuite/dwz.tests/help.sh | 13 +++++++++++++
testsuite/dwz.tests/illegal-option.sh | 25 +++++++++++++++++++++++++
testsuite/dwz.tests/version.sh | 9 +++++++++
3 files changed, 47 insertions(+)
diff --git a/testsuite/dwz.tests/help.sh b/testsuite/dwz.tests/help.sh
new file mode 100644
index 0000000..7eeb5a6
--- /dev/null
+++ b/testsuite/dwz.tests/help.sh
@@ -0,0 +1,13 @@
+cp ../hello 1
+
+if dwz -? 1 2> dwz.err; status=$?; then
+ true
+fi
+
+[ $status -eq 1 ]
+
+grep -q "Usage:" dwz.err
+
+cmp 1 ../hello
+
+rm -f 1 dwz.err
diff --git a/testsuite/dwz.tests/illegal-option.sh b/testsuite/dwz.tests/illegal-option.sh
new file mode 100644
index 0000000..9c3f50d
--- /dev/null
+++ b/testsuite/dwz.tests/illegal-option.sh
@@ -0,0 +1,25 @@
+cp ../hello 1
+
+if dwz -x 1 2> dwz.err; status=$?; then
+ true
+fi
+
+[ $status -eq 1 ]
+
+grep -q ": invalid option -- 'x'" dwz.err
+grep -q "Usage:" dwz.err
+
+cmp 1 ../hello
+
+if dwz --x 1 2> dwz.err; status=$?; then
+ true
+fi
+
+[ $status -eq 1 ]
+
+grep -q ": unrecognized option '--x'" dwz.err
+grep -q "Usage:" dwz.err
+
+cmp 1 ../hello
+
+rm -f 1 dwz.err
diff --git a/testsuite/dwz.tests/version.sh b/testsuite/dwz.tests/version.sh
new file mode 100644
index 0000000..273eb3d
--- /dev/null
+++ b/testsuite/dwz.tests/version.sh
@@ -0,0 +1,9 @@
+cp ../hello 1
+
+dwz -v 1 2> dwz.err
+
+grep -q "dwz version" dwz.err
+
+cmp 1 ../hello
+
+rm -f 1 dwz.err
reply other threads:[~2019-03-31 21:25 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20190331212643.GA5119@delia \
--to=tdevries@suse.de \
--cc=dwz@sourceware.org \
--cc=jakub@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).